WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

LDS Linker

Automagically changes any Latter-day Saint scripture reference into a hyperlink pointing to the passage at the Internet Edition of the LDS Scriptures.

Why isn’t the plugin working?

Are you spelling book names correctly or using the universally recognized standard abbreviations? LDS Linker won’t work unless you do.

I’m spelling everything right, but it’s still not working

Does the specific issue you’re experiencing have to do with a D&C reference, or a reference to Joseph Smith—History or Joseph Smith—Matthew, or are you using en-dashes in verse ranges? If so, you may be running into a character encoding problem. There are half a dozen ways of typing ampersands, en-, and em-dashes. I’ve tried my darndest to make sure LDS Linker recognizes them all, but I’m bound to have missed one. When in doubt, simply use & for ampersands, -- for en-dashes, and --- for em-dashes, or try typing the HTML character entity codes, i.e., & for ampersands, – for en-dashes, and — for em-dashes.

It may also be worth taking a look at how your database is character encoding the text it stores. You can learn more about general issues with WordPress and database character collation at WordPress Codex › Converting Database Character Sets.

I’m spelling everything right and I don't think it’s an encoding issue

Have you got another plugin activated that modifies the content of your posts or comments in any way? LDS Linker is known to not play well with code prettification plugins like Markdown or Textile, and may have problems with other plugins that modify post or comment content in any way.

My question’s not here. How can I contact the developer?

You’re welcome to use my contact form. Cheers!

Requires: 2.0 or higher
Compatible up to: 2.8.4
Last Updated: 2009-9-11
Downloads: 1,046

Ratings

4 stars
4.2 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1